import request from "@/utils/request";
import {AxiosPromise} from "axios";
import {TrainingManage, TrainingParams} from "@/api/training/types";

/**
 * 训练记录
 * /board/v1/games?school_id=95&is_formal=1&search=略&grade_id=35&page=1&page_size=10
 */
export function getTrainingLists(params: TrainingParams): AxiosPromise<TrainingManage[]> {
	return request({
		url: "/board/v1/games",
		method: "get",
		params: params,
	});
}

