import {TeacherItem} from "@/api/teacher/types";

/**
 * 获取训练记录参数
 * ?school_id=95&is_formal=1&search=略&grade_id=35&page=1&page_size=10
 */
export interface TrainingParams {
	school_id: number;
	grade_id:number;
	// 1正式，2非正式
	is_formal: number;
	// 学生名称/手机号
	search: string;
	page_no: number;
	page_size: number;
}

/**
 * 训练记录列表
 */
export interface TrainingItem {
	name: string;
	phone: string;
	device_id: number;
	device_name: string;
	create_time: string;
	play_time: string;
	grade_name: string;
	game_record_id: number;
}

export interface TrainingManage {
	lists: TrainingItem[];
	// 数量
	count: number;
}